#### D.3.2.16 pos_def

Procedure from library `linalg.lib` (see linalg_lib).

Usage:
  pos_def(A); A = constant, symmetric square matrix

Return:
  int:
  1 if A is positive definit ,
  0 if not,
  -1 if unknown

Example:

    LIB "linalg.lib";
    ring r = 0,(x),dp;
    matrix A[5][5] = 20,  4,  0, -9,   8,
    4, 12, -6, -4,   9,
    0, -6, -2, -9,  -8,
    -9, -4, -9, -20, 10,
    8,  9, -8,  10, 10;
    pos_def(A);
    ==> 0
    matrix B[3][3] =  3,  2,  0,
    2, 12,  4,
    0,  4,  2;
    pos_def(B);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.